Package de.willuhn.jameica.hbci.rmi

# Enum Class KontoType

java.lang.Object
java.lang.Enum<KontoType>
de.willuhn.jameica.hbci.rmi.KontoType

All Implemented Interfaces:
  `Serializable`, `Comparable<KontoType>`, `Constable`

public enum KontoType extends Enum<KontoType>
Definition der verschiedenen Konto-Arten. Siehe FinTS_3.0_Formals_2011-06-14_final_version.pdf - Data Dictionary "Kontoart", Seite 94.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAUSPAR`
Bausparvertrag.
`DARLEHEN`
Kredit-/Darlehenskonto.
`FESTGELD`
Festgeldkonto (Termineinlagen).
`FONDSDEPOT`
Fonds-Depot bei einer Kapitalanlagegesellschaft.
`GIRO`
Kontokorrent-/Girokonto.
`KREDITKARTE`
Kreditkartenkonto.
`SONSTIGE`
Sonstige (nicht zuordenbar).
`SPAR`
Sparkonto.
`VERSICHERUNG`
Versicherungsvertrag.
`WERTPAPIERDEPOT`
Wertpapierdepot.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final KontoType`
`DEFAULT`
Die Default-Kontoart.

## Method Summary

Modifier and Type
Method
Description
`static KontoType`
`find(Integer id)`
Ermittelt die Kontoart fuer die ID.
`String`
`getName()`
Liefert einen sprechenden Namen fuer die Kontoart.
`int`
`getValue()`
Liefert den zu verwendenden Wert, wenn diese Kontoart manuell ausgewaehlt wurde.
`String`
`toString()`
`static KontoType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KontoType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GIRO

public static final KontoType GIRO
Kontokorrent-/Girokonto.

### SPAR

public static final KontoType SPAR
Sparkonto.

### FESTGELD

public static final KontoType FESTGELD
Festgeldkonto (Termineinlagen).

### WERTPAPIERDEPOT

public static final KontoType WERTPAPIERDEPOT
Wertpapierdepot.

### DARLEHEN

public static final KontoType DARLEHEN
Kredit-/Darlehenskonto.

### KREDITKARTE

public static final KontoType KREDITKARTE
Kreditkartenkonto.

### FONDSDEPOT

public static final KontoType FONDSDEPOT
Fonds-Depot bei einer Kapitalanlagegesellschaft.

### BAUSPAR

public static final KontoType BAUSPAR
Bausparvertrag.

### VERSICHERUNG

public static final KontoType VERSICHERUNG
Versicherungsvertrag.

### SONSTIGE

public static final KontoType SONSTIGE
Sonstige (nicht zuordenbar).

## Field Details

### DEFAULT

public static final KontoType DEFAULT
Die Default-Kontoart.

## Method Details

### values

public static KontoType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static KontoType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()
Liefert einen sprechenden Namen fuer die Kontoart.

Returns:
  sprechender Name fuer die Kontoart.

### getValue

public int getValue()
Liefert den zu verwendenden Wert, wenn diese Kontoart manuell ausgewaehlt wurde.

Returns:
  der zu verwendende Wert, wenn diese Kontoart manuell ausgewaehlt wurde.

### find

public static KontoType find(Integer id)
Ermittelt die Kontoart fuer die ID.

Parameters:
  `id` - die ID. Kann NULL sein.
Returns:
  die Kontoart oder NULL, wenn die ID nicht bekannt ist.

### toString

public String toString()

Overrides:
  `toString` in class `Enum<KontoType>`